Bug 118800 - New port: ocaml-pgocaml type-safe PostgreSQL interface for OCaml, requires ocaml-csv which I recently submitted.
New port: ocaml-pgocaml type-safe PostgreSQL interface for OCaml, requires oc...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-18 01:10 UTC by tcrimi
Modified: 2008-05-12 23:23 UTC (History)
0 users

See Also:


Attachments
pgocaml.port (3.88 KB, text/plain)
2007-12-18 01:10 UTC, tcrimi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tcrimi 2007-12-18 01:10:02 UTC

    
Comment 1 pav freebsd_committer 2007-12-18 14:14:16 UTC
State Changed
From-To: open->feedback

Does not build: 

ocamlfind ocamlc -g -package unix,extlib,pcre,calendar,csv  
-pp "camlp4o pa_extend.cmo q_MLast.cmo -loc loc -impl"  
-I +camlp4 -c -impl pa_pgsql.ml4 
File "pa_pgsql.ml4", line 376, characters 2-6: 
Parse error: ':' expected after [name] (in [entry]) 
Uncaught exception: Stream.Error("':' expected after [name] (in [entry])") 
Preprocessor error 
gmake: *** [pa_pgsql.cmo] Error 2 



Comment 2 pav freebsd_committer 2007-12-18 14:14:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 pav freebsd_committer 2007-12-18 15:14:10 UTC
State Changed
From-To: feedback->suspended

Needs ocaml >= 3.10.0 which we don't have yet.
Comment 4 Stanislav Sedov freebsd_committer 2008-04-08 20:54:52 UTC
This port fails to build with recent ocaml with error:
ocamlfind ocamlc -g -package unix,extlib,pcre,calendar,csv \
          -pp "camlp4o pa_extend.cmo q_MLast.cmo -loc loc -impl" \
          -I +camlp4 -c -impl pa_pgsql.ml4
Camlp4: Uncaught exception: DynLoader.Error ("Camlp4GrammarParser.cmo", "native-code program cannot do a dynamic load")

Can you take a look, please?

Also, the manner you assign dependencies in, results in only the last
dependency to be active. The following version should work better:
BUILD_DEPENDS=  ${LOCALBASE}/${OCAML_SITELIBDIR}/extlib:${PORTSDIR}/devel/ocaml-extlib \
		${LOCALBASE}/${OCAML_SITELIBDIR}/pcre:${PORTSDIR}/devel/ocaml-pcre \
		${LOCALBASE}/${OCAML_SITELIBDIR}/calendar:${PORTSDIR}/devel/ocaml-calendar \
		${LOCALBASE}/${OCAML_SITELIBDIR}/csv:${PORTSDIR}/textproc/ocaml-csv

-- 
Stanislav Sedov
ST4096-RIPE
Comment 5 tcrimi 2008-04-15 12:56:09 UTC
Hi Stanislav,

   So, this is what I get compiling pgocaml from the port currently:

===>  Building for ocaml-pgocaml-1.0
< pGOCaml_config.ml.in sed -e "s|@DEFAULT_UNIX_DOMAIN_SOCKET_DIR@|/ 
tmp|" > pGOCaml_config.ml
rm -f .depend
ocamldep pGOCaml.mli pGOCaml.ml > .depend
ocamldep -pp "camlp4o /usr/local/lib/ocaml/unix.cma /usr/local/lib/ 
ocaml/str.cma -I +pcre /usr/local/lib/ocaml/site-lib/pcre/pcre.cma -I  
+extlib /usr/local/lib/ocaml/site-lib/extlib/extLib.cma -I +calendar / 
usr/local/lib/ocaml/site-lib/calendar/calendar.cma -I +csv /usr/local/ 
lib/ocaml/site-lib/csv/csv.cma ./pgocaml.cma ./pa_pgsql.cmo" >> .depend
ocamlfind ocamlc -g  -package unix,extlib,pcre,calendar,csv -c  
pGOCaml_config.ml
ocamlfind ocamlc -g  -package unix,extlib,pcre,calendar,csv -c  
pGOCaml.mli
ocamlfind ocamlc -g  -package unix,extlib,pcre,calendar,csv -c  
pGOCaml.ml
ocamlfind ocamlc -g -package unix,extlib,pcre,calendar,csv -a -o  
pgocaml.cma pGOCaml_config.cmo pGOCaml.cmo
ocamlfind ocamlopt   -package unix,extlib,pcre,calendar,csv -c  
pGOCaml_config.ml
ocamlfind ocamlopt   -package unix,extlib,pcre,calendar,csv -c  
pGOCaml.ml
ocamlfind ocamlopt  -package unix,extlib,pcre,calendar,csv -a -o  
pgocaml.cmxa pGOCaml_config.cmx pGOCaml.cmx
ocamlfind ocamlc -g -package unix,extlib,pcre,calendar,csv \
	  -pp "camlp4o pa_extend.cmo q_MLast.cmo -loc loc -impl" \
	  -I +camlp4 -c -impl pa_pgsql.ml4
ocamlfind ocamlopt   -package unix,extlib,pcre,calendar,csv -c  
pgocaml_prof.ml
ocamlfind ocamlopt  -package unix,extlib,pcre,calendar,csv -linkpkg \
	  -o pgocaml_prof pgocaml_prof.cmx
sed  -e 's/@PACKAGE@/pgocaml/' \
		-e 's/@VERSION@/1.0/' \
		< META.in > META


  From there it's possible to 'make install'.  I updated my ocaml  
installation by deleting all ocaml-related ports and rebuilding.  It  
seems in your case the probably is really with camlp4.  I cannot see  
how that would happen, though.    I tried building ocaml with  
OPT_DEF=1 but didn't see any issues there, either.

  Tom

On Apr 8, 2008, at 3:54 PM, Stanislav Sedov wrote:

> This port fails to build with recent ocaml with error:
> ocamlfind ocamlc -g -package unix,extlib,pcre,calendar,csv \
>          -pp "camlp4o pa_extend.cmo q_MLast.cmo -loc loc -impl" \
>          -I +camlp4 -c -impl pa_pgsql.ml4
> Camlp4: Uncaught exception: DynLoader.Error  
> ("Camlp4GrammarParser.cmo", "native-code program cannot do a dynamic  
> load")
>
> Can you take a look, please?
>
> Also, the manner you assign dependencies in, results in only the last
> dependency to be active. The following version should work better:
> BUILD_DEPENDS=  ${LOCALBASE}/${OCAML_SITELIBDIR}/extlib:${PORTSDIR}/ 
> devel/ocaml-extlib \
> 		${LOCALBASE}/${OCAML_SITELIBDIR}/pcre:${PORTSDIR}/devel/ocaml-pcre \
> 		${LOCALBASE}/${OCAML_SITELIBDIR}/calendar:${PORTSDIR}/devel/ocaml- 
> calendar \
> 		${LOCALBASE}/${OCAML_SITELIBDIR}/csv:${PORTSDIR}/textproc/ocaml-csv
>
> -- 
> Stanislav Sedov
> ST4096-RIPE
>
Comment 6 dfilter freebsd_committer 2008-05-12 23:18:28 UTC
stas        2008-05-12 22:18:23 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
  Added files:
    databases/ocaml-pgocaml Makefile distinfo pkg-descr 
    databases/ocaml-pgocaml/files patch-Makefile 
  Log:
  - Add databases/ocaml-pgocaml.
  
  PG'OCaml is a type-safe, simple interface to PostgreSQL from OCaml. It lets you
  embed SQL statements directly into OCaml code.
  
  PR:             ports/118800
  Submitted by:   Jaap Boender <jaapb at kerguelen.org>
  
  Revision  Changes    Path
  1.678     +1 -0      ports/databases/Makefile
  1.1       +29 -0     ports/databases/ocaml-pgocaml/Makefile (new)
  1.1       +3 -0      ports/databases/ocaml-pgocaml/distinfo (new)
  1.1       +36 -0     ports/databases/ocaml-pgocaml/files/patch-Makefile (new)
  1.1       +4 -0      ports/databases/ocaml-pgocaml/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Stanislav Sedov freebsd_committer 2008-05-12 23:22:59 UTC
State Changed
From-To: suspended->closed

New port added, with minor changes. Thanks!